<template>
  <div class="row">
    <div class="col-md-3 mb-3">
      <card :title="$t('panel')" class="settings-card">
        <ul class="nav flex-column nav-pills">
          <li v-for="tab in tabs" :key="tab.route" class="nav-item">
            <router-link :to="{ name: tab.route }" class="nav-link" active-class="active">
              <fa :icon="tab.icon" size="xs" transform="shrink-4 left-4" fixed-width class="align-middle" />
              {{ tab.name }}
            </router-link>
          </li>
        </ul>
      </card>
    </div>

    <div class="col-md-9">
      <transition name="fade" mode="out-in">
        <router-view />
      </transition>
    </div>
  </div>
</template>

<script>
export default {
  middleware: 'auth',

  computed: {
    tabs () {
      return [
        {
          icon: 'user',
          name: this.$t('profile'),
          route: 'panel.profile'
        },
        {
          icon: 'lock',
          name: this.$t('password'),
          route: 'panel.password'
        },
        {
          icon: 'list-ol',
          name: this.$t('orders'),
          route: 'panel.orders'
        },
        {
          icon: 'plus',
          name: this.$t('topups'),
          route: 'panel.topups'
        },
        {
          icon: 'life-ring',
          name: this.$t('tickets'),
          route: 'panel.tickets'
        }
      ]
    }
  }
}
</script>

<style>
.settings-card .card-body {
  padding: 0;
}
</style>
